aboutsummaryrefslogtreecommitdiffstats
path: root/main/oniguruma/APKBUILD
diff options
context:
space:
mode:
authorPrzemyslaw Pawelczyk <przemoc@zoho.com>2016-08-26 20:46:38 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-08-26 22:06:27 +0000
commit4f216d8f9d09c26b4e2c0f4712369e2697ed6dda (patch)
treeb2cabb599bcaf179363a7fe76f4bd0f6a06b83d5 /main/oniguruma/APKBUILD
parent2e38057b373246f0f081ae116bfeac1d46281d06 (diff)
downloadaports-4f216d8f9d09c26b4e2c0f4712369e2697ed6dda.tar.gz
aports-4f216d8f9d09c26b4e2c0f4712369e2697ed6dda.tar.bz2
aports-4f216d8f9d09c26b4e2c0f4712369e2697ed6dda.tar.xz
main/oniguruma: Move from testing.
It's necessary step to make possible jq being dependent on this library. Otherwise Alpine Linux's jq (which is in main already) would remain deprived of regexp support.
Diffstat (limited to 'main/oniguruma/APKBUILD')
-rw-r--r--main/oniguruma/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/oniguruma/APKBUILD b/main/oniguruma/APKBUILD
new file mode 100644
index 0000000000..e6761d942e
--- /dev/null
+++ b/main/oniguruma/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=oniguruma
+pkgver=6.0.0
+pkgrel=0
+pkgdesc="a regular expressions library"
+url="http://www.geocities.jp/kosako3/oniguruma/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev automake autoconf libtool"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/kkos/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ autoreconf -vfi
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dc69fd4204551b64e78878a67a35a994 oniguruma-6.0.0.tar.gz"
+sha256sums="3018fe512fbf90e583bc43754be59c92685f02cb4eaab299472da0d0759b5cda oniguruma-6.0.0.tar.gz"
+sha512sums="b0b32bf4fbe1846fe96a30795737294449a2d9e6bd4ac4a07c911e09c6bc51f0b534d005c43c19bebd0bc065d8819bf89bbf0805a42a5cef38d0c514f588c69a oniguruma-6.0.0.tar.gz"